com.salesforce.hyperdb.grpc

## Class QueryResult.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>
      - - com.salesforce.hyperdb.grpc.QueryResult.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, QueryResultOrBuilder, Cloneable

Enclosing class:
  QueryResult

    public static final class QueryResult.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>
    implements QueryResultOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.QueryResult`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`QueryResult.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryResult` `build()`
`QueryResult` `buildPartial()`
`QueryResult.Builder` `clear()`
`QueryResult.Builder` `clearBinaryPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`
`QueryResult.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`QueryResult.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`QueryResult.Builder` `clearResult()`
`QueryResult.Builder` `clearStringPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`
`QueryResult.Builder` `clone()`
`QueryResultPartBinary` `getBinaryPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`
`QueryResultPartBinary.Builder` `getBinaryPartBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`
`QueryResultPartBinaryOrBuilder` `getBinaryPartOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`
`QueryResult` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`QueryResult.ResultCase` `getResultCase()`
`QueryResultPartString` `getStringPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`
`QueryResultPartString.Builder` `getStringPartBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`
`QueryResultPartStringOrBuilder` `getStringPartOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`
`boolean` `hasBinaryPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`
`boolean` `hasStringPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`QueryResult.Builder` `mergeBinaryPart(QueryResultPartBinary value)` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`
`QueryResult.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`QueryResult.Builder` `mergeFrom(com.google.protobuf.Message other)`
`QueryResult.Builder` `mergeFrom(QueryResult other)`
`QueryResult.Builder` `mergeStringPart(QueryResultPartString value)` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`
`QueryResult.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`QueryResult.Builder` `setBinaryPart(QueryResultPartBinary.Builder builderForValue)` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`
`QueryResult.Builder` `setBinaryPart(QueryResultPartBinary value)` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`
`QueryResult.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryResult.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`QueryResult.Builder` `setStringPart(QueryResultPartString.Builder builderForValue)` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`
`QueryResult.Builder` `setStringPart(QueryResultPartString value)` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`
`QueryResult.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>`

#### clear

    public QueryResult.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>`

#### getDefaultInstanceForType

    public QueryResult getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public QueryResult build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public QueryResult buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public QueryResult.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>`

#### setField

    public QueryResult.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                        Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>`

#### clearField

    public QueryResult.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>`

#### clearOneof

    public QueryResult.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>`

#### setRepeatedField

    public QueryResult.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                int index,
                                                Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>`

#### addRepeatedField

    public QueryResult.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>`

#### mergeFrom

    public QueryResult.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryResult.Builder>`

#### mergeFrom

    public QueryResult.Builder mergeFrom(QueryResult other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>`

#### mergeFrom

    public QueryResult.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryResult.Builder>`
Throws:
  `IOException`

#### getResultCase

    public QueryResult.ResultCase getResultCase()

Specified by:
  `getResultCase` in interface `QueryResultOrBuilder`

#### clearResult

    public QueryResult.Builder clearResult()

#### hasBinaryPart

    public boolean hasBinaryPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`

Specified by:
  `hasBinaryPart` in interface `QueryResultOrBuilder`
Returns:
  Whether the binaryPart field is set.

#### getBinaryPart

    public QueryResultPartBinary getBinaryPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`

Specified by:
  `getBinaryPart` in interface `QueryResultOrBuilder`
Returns:
  The binaryPart.

#### setBinaryPart

    public QueryResult.Builder setBinaryPart(QueryResultPartBinary value)

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`

#### setBinaryPart

    public QueryResult.Builder setBinaryPart(QueryResultPartBinary.Builder builderForValue)

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`

#### mergeBinaryPart

    public QueryResult.Builder mergeBinaryPart(QueryResultPartBinary value)

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`

#### clearBinaryPart

    public QueryResult.Builder clearBinaryPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`

#### getBinaryPartBuilder

    public QueryResultPartBinary.Builder getBinaryPartBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`

#### getBinaryPartOrBuilder

    public QueryResultPartBinaryOrBuilder getBinaryPartOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`

Specified by:
  `getBinaryPartOrBuilder` in interface `QueryResultOrBuilder`

#### hasStringPart

    public boolean hasStringPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`

Specified by:
  `hasStringPart` in interface `QueryResultOrBuilder`
Returns:
  Whether the stringPart field is set.

#### getStringPart

    public QueryResultPartString getStringPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`

Specified by:
  `getStringPart` in interface `QueryResultOrBuilder`
Returns:
  The stringPart.

#### setStringPart

    public QueryResult.Builder setStringPart(QueryResultPartString value)

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`

#### setStringPart

    public QueryResult.Builder setStringPart(QueryResultPartString.Builder builderForValue)

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`

#### mergeStringPart

    public QueryResult.Builder mergeStringPart(QueryResultPartString value)

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`

#### clearStringPart

    public QueryResult.Builder clearStringPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`

#### getStringPartBuilder

    public QueryResultPartString.Builder getStringPartBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`

#### getStringPartOrBuilder

    public QueryResultPartStringOrBuilder getStringPartOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`

Specified by:
  `getStringPartOrBuilder` in interface `QueryResultOrBuilder`

#### setUnknownFields

    public final QueryResult.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>`

#### mergeUnknownFields

    public final QueryResult.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResult.Builder>`